wxSpinEvent(3)

NAME
wxSpinEvent - This event class is used for the events generated by wxSpinButton and wxSpinCtrl.

DESCRIPTION

See:

    • wxSpinButton

    • wxSpinCtrl

This class is derived, and can use functions, from:

    • wxNotifyEvent

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxSpinEvent

  Events

Use wxEvtHandler:connect/3 with wxSpinEventType to subscribe to events of this type.

DATA TYPES

wxSpin() :: #wxSpin{}.
wxSpinEvent() :: wx:wx_object().
wxSpinEventType() :: command_spinctrl_updated | spin_up | spin_down | spin.

FUNCTIONS

getPosition(This) -> integer() when This :: wxSpinEvent().

    Retrieve the current spin button or control value.
setPosition(This, Pos) -> ok when This :: wxSpinEvent(), Pos :: integer().

    Set the value associated with the event.